%bcond_without check

%global goipath         github.com/multiformats/go-base36
Version:                0.1.0

%gometa

%global common_description %{expand:
Optimized codec for []byte <=> base36 string conversion.}

%global golicenses      LICENSE.md
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Optimized codec for []byte <=> base36 string conversion

License:        ASL 2.0 or MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
